export type MetricTags = Record<string, string | number>;

export interface Metrics {
  increment(name: string, tags?: MetricTags): void;
  count(name: string, value: number, tags?: MetricTags): void;
  gauge(name: string, value: number, tags?: MetricTags): void;
  histogram(name: string, value: number, tags?: MetricTags): void;
  timing(name: string, ms: number, tags?: MetricTags): void;
}
